OpenShot Audio Library | OpenShotAudio: juce::WeakReference< ObjectType, ReferenceCountingType >::Master Class Reference

OpenShot Audio Library | OpenShotAudio 0.3.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::WeakReference< ObjectType, ReferenceCountingType >::Master Class Reference

`#include <juce_WeakReference.h>`

## Public Member Functions
SharedRef | getSharedPointer (ObjectType *object)
void | clear () noexcept
int | getNumActiveWeakReferences () const noexcept

## Detailed Description

template<class ObjectType, class ReferenceCountingType = ReferenceCountedObject>
class juce::WeakReference< ObjectType, ReferenceCountingType >::Master

This class is embedded inside an object to which you want to attach WeakReference pointers. See the WeakReference class notes for an example of how to use this class.

See also
  WeakReference

Definition at line 149 of file juce_WeakReference.h.

## Constructor & Destructor Documentation

## ◆ ~Master()

template<class ObjectType , class ReferenceCountingType = ReferenceCountedObject>

juce::WeakReference< ObjectType, ReferenceCountingType >::Master::~Master | ( |  | ) |
| inlinenoexcept

Definition at line 154 of file juce_WeakReference.h.

## Member Function Documentation

## ◆ clear()

template<class ObjectType , class ReferenceCountingType = ReferenceCountedObject>

void juce::WeakReference< ObjectType, ReferenceCountingType >::Master::clear | ( |  | ) |
| inlinenoexcept

The object that owns this master pointer should call this before it gets destroyed, to zero all the references to this object that may be out there. See the WeakReference class notes for an example of how to do this.

Definition at line 183 of file juce_WeakReference.h.

## ◆ getNumActiveWeakReferences()

template<class ObjectType , class ReferenceCountingType = ReferenceCountedObject>

int juce::WeakReference< ObjectType, ReferenceCountingType >::Master::getNumActiveWeakReferences | ( |  | ) | const
| inlinenoexcept

Returns the number of WeakReferences that are out there pointing to this object.

Definition at line 190 of file juce_WeakReference.h.

## ◆ getSharedPointer()

template<class ObjectType , class ReferenceCountingType = ReferenceCountedObject>

SharedRef juce::WeakReference< ObjectType, ReferenceCountingType >::Master::getSharedPointer | ( | ObjectType * | object | ) |
| inline

The first call to this method will create an internal object that is shared by all weak references to the object.

Definition at line 164 of file juce_WeakReference.h.

The documentation for this class was generated from the following file:

- juce_WeakReference.h